@echo off
CD /d %~dp0

echo.
echo Visual C++ Runtimes For Windows XP moddet by DIMA XP 
echo Microsoft Visual C++ All-In-One Runtimes by W1zzard @ TechPowerUp
echo https://www.techpowerup.com/download/visual-c-redistributable-runtime-package-all-in-one/
echo.
echo Installing runtime packages...

set IS_X64=0 && if "%PROCESSOR_ARCHITECTURE%"=="AMD64" (set IS_X64=1) else (if "%PROCESSOR_ARCHITEW6432%"=="AMD64" (set IS_X64=1))

if "%IS_X64%" == "1" goto X64

echo VC++ 2005...
start /wait vcredist2005_x86.exe /q

echo VC++ 2008...
start /wait vcredist2008_x86.exe /qb

echo VC++ 2010...
start /wait vcredist2010_x86.exe /passive /norestart

echo VC++ 2012...
start /wait vcredist2012_x86.exe /passive /norestart

echo VC++ 2013...
start /wait vcredist2013_x86.exe /passive /norestart

echo VC++ 2015...
start /wait vcredist2015_x86.exe /passive /norestart

goto END

:X64

echo 2005...
start /wait vcredist2005_x86.exe /q
start /wait vcredist2005_x64.exe /q

echo 2008...
start /wait vcredist2008_x86.exe /qb
start /wait vcredist2008_x64.exe /qb

echo 2010...
start /wait vcredist2010_x86.exe /passive /norestart
start /wait vcredist2010_x64.exe /passive /norestart

echo 2012...
start /wait vcredist2012_x86.exe /passive /norestart
start /wait vcredist2012_x64.exe /passive /norestart

echo 2013...
start /wait vcredist2013_x86.exe /passive /norestart
start /wait vcredist2013_x64.exe /passive /norestart

:END

echo.
echo Installation completed successfully

exit